<?php
global $wpdb;
$table_name = $wpdb->prefix . 'lead_capture_form_forms';
$results = $wpdb->get_results ( "SELECT * FROM  $table_name ORDER BY Name" );
?>
<div class="ul_main_wrapper">
	<div class="ul_content_wrapper ul_form_builder_wrapper">
	
		<?php if( !isset($_GET['action']) ){ ?>
			<div class="lead_capture_table_header">
				<h3 class="lead_capture_form_page_header">
					<?php echo esc_html__('Lead Capture FormBuilder','leadcapture');?>
				</h3>
				<div class="lead_capture_form_add_new_btn">
					<a class="lead_capture_form_btn ul_popup_link" data-popup="create_form_popup"><?php echo esc_html__('Create New','leadcapture');?></a>
					<a href="javascript:;"  class="lead_capture_form_btn lead_capture_form_export"><?php echo esc_html__('Export','leadcapture');?></a>
					<a href="javascript:;" class="lead_capture_form_btn lead_capture_form_import_poup"><?php echo esc_html__('Import','leadcapture');?></a>
				</div>
			</div>
		<?php }else{
			echo '<h3 class="lead_capture_form_page_header">'.esc_html__('Edit Form','leadcapture').' <span>- '.esc_html__('Powered by Lead Capture','leadcapture').' (1.0.0)</span></h3>';
		} ?>
	<?php admin_url('admin.php?page=lead_capture_form-forms&action=edit&id=0'); 
		if( !isset($_GET['action']) ){ ?>
		 <div class="lead_capture_form_tabledata table-responsive">
			 <table class="table table-striped">
				<thead>
				  <tr>
					<th>#</th>
					<th><?php echo esc_html__('Form Name','leadcapture');?></th>
					<th><?php echo esc_html__('Shortcode','leadcapture');?></th>
					<th><?php echo esc_html__('Date','leadcapture');?></th>
					<th><?php echo esc_html__('Action','leadcapture');?></th>
				  </tr>
				</thead>
				<tbody>
				<?php if( !empty($results) ){
							$count = 1;
							foreach( $results as $row ){
							$edit_url = admin_url( 'admin.php?page=lead_capture_form-forms&action=edit&id='.$row->ID.'' );
							$shortcode = '[lead_capture_form form_id="'.$row->ID.'"]';
							?>
								  <tr>
									<td><?php echo esc_html($count);?></td>
									<td>
										<a href="<?php echo esc_url($edit_url);?>" class="text-capitalize"><?php echo esc_html($row->Name);?></a>
									</td>
									<td><?php echo esc_html($shortcode);?></td>
									<td><?php echo esc_html($row->Date_Created);?></td>
									<td>
										<div class="lead_capture_form_tabledata_btn_list">
											<a href="<?php echo esc_url($edit_url);?>" title="<?php echo esc_attr__('Edit','leadcapture'); ?>"><i class="fa fa-pencil"></i></a>
											<a href="javascript:;" class="lead_capture_form_copy" data-formID="<?php echo esc_attr($row->ID);?>" title="<?php echo esc_attr__('Copy','leadcapture'); ?>"><i class="fa fa-files-o"></i></a>
											<a href="javascript:;" class="lead_capture_form_download" data-formID="<?php echo esc_attr($row->ID);?>" title="<?php echo esc_attr__('Download','leadcapture'); ?>"><i class="fa fa-download"></i></a>
											<a href="javascript:;" class="lead_capture_form_remove" data-formID="<?php echo esc_attr($row->ID);?>" title="<?php echo esc_attr__('Delete','leadcapture'); ?>"><i class="fa fa-trash-o"></i></a>
										</div>
									</td>
								  </tr>
							<?php
							$count++;
							}
					}else{ ?>
					<tr class="no-items"><td class="colspanchange" colspan="5"><?php echo esc_html__('No forms found.','leadcapture');?></td></tr>
				<?php	
				} ?>
				</tbody>
			</table>
		</div>
		<?php }else{
			//require_once plugin_dir_path( dirname( __FILE__ ) ) . 'includes/lead_capture_form_edit.php';
			$formID = isset($_GET['id']) ? $_GET['id'] : '';
			echo '<input type="hidden" class="lead_capture_form_id" value="'.esc_attr($formID).'">';
			$this->lead_capture_form_main_page();
		} ?>
	</div>
</div>


<!-- create form popup start -->
<div id="create_form_popup" class="ul_popup_wrapper">
	<div class="ul_popup_inner">
		<div class="ul_popup_close" title="<?php echo esc_attr__('Close','leadcapture'); ?>"></div>
		<div class="ul_popup_heading">
			<h3><?php echo esc_html__('Create New','lead_capture_form');?></h3>
		</div>
		<div class="ul_popup_body">
			<form class="ul_validation_form">
				<div class="ul_create_form">
					<input type="hidden" class="lead_capture_form_home_url" value="<?php echo home_url();?>">
					<input type="text" placeholder="<?php echo esc_attr__('Enter Form Name','leadcapture'); ?>">
					<input type="button" value="<?php echo esc_attr__('Create','leadcapture'); ?>" class="lead_capture_form_btn lead_capture_form_create_new_form">
					<div class="lead_capture_form_loader_img lead_capture_form_loader"><div></div><div></div></div>
				</div>
			</form>
		</div>
	</div>
</div>
<div id="import_form_popup" class="ul_popup_wrapper">
	<div class="ul_popup_inner">
		<div class="ul_popup_close" title="<?php echo esc_attr__('Close','leadcapture'); ?>"></div>
		<div class="ul_popup_body">
			<p><?php echo esc_html__('Input your backup file below and hit Import to restore your Forms from a backup.', 'leadcapture')?></p>
			<textarea rows="4" cols="50" class="lead_capture_form_input_backup"></textarea>
			<input type="button" value="<?php echo esc_attr__('Import','leadcapture'); ?>" class="lead_capture_form_btn lead_capture_form_import_form_btn">
			<div class="lead_capture_form_loader_img lead_capture_form_loader"><div></div><div></div></div>
		</div>
	</div>
</div>
<!-- create form popup end -->

<!-- open class 'alert_open' || success class 'um_success' || error class 'um_error' -->
<div class="um_alert_wrapper"> 
	<div class="um_alert_inner">
		<p></p>
	</div>
</div>